Debian Bug report logs - #665670
gxneur: FTBFS with glib 2.32 due to -Werror=deprecated-declarations

version graph

Package: src:gxneur; Maintainer for src:gxneur is Alexander GQ Gerasiov <gq@debian.org>;

Reported by: biebl@debian.org

Date: Sun, 25 Mar 2012 03:15:05 UTC

Severity: serious

Tags: patch

Found in version gxneur/0.15.0-2

Fixed in version gxneur/0.15.0-2.1

Done: Luk Claes <luk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Information forwarded to Alexander GQ Gerasiov <gq@debian.org>:
Bug#665670; Package src:gxneur. (Sun, 25 Mar 2012 03:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to biebl@debian.org:
Extra info received and forwarded to maintainer. Copy sent to Alexander GQ Gerasiov <gq@debian.org>. (Sun, 25 Mar 2012 03:15:09 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: biebl@debian.org
To: maintonly@bugs.debian.org
Subject: gxneur: FTBFS with glib 2.32 due to -Werror=deprecated-declarations
Date: Sun, 25 Mar 2012 05:10:11 +0200
Source: gxneur
Version: 0.15.0-2
Severity: important
User: pkg-gnome-maintainers@lists.alioth.debian.org
Usertags: glib-2.32 ftbfs

Hi,

in glib 2.32 several functions have have been marked as deprecated.

Development releases of 2.32 are available in experimental.
During a test-rebuild gxneur failed to build with the new glib [1]
due to the use of -Werror=deprecated-declarations

The list of deprecated symbols can be found at [2].

Please update gxneur at your earliest convenience, so once we move
the glib version from experimental to unstable, your package will remain
buildable.

Thanks!

Michael,
on behalf of the Debian GNOME team.

[1] http://people.debian.org/~biebl/glib-deprecated/gxneur_0.15.0-2.log
[2] http://developer.gnome.org/glib/2.32/api-index-deprecated.html





Information forwarded to debian-bugs-dist@lists.debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#665670; Package src:gxneur. (Fri, 30 Mar 2012 08:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Alexander GQ Gerasiov <gq@debian.org>. (Fri, 30 Mar 2012 08:18:05 GMT) Full text and rfc822 format available.

Message #10 received at 665670@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 665677@bugs.debian.org, 665679@bugs.debian.org, 665666@bugs.debian.org, 665670@bugs.debian.org, 665671@bugs.debian.org, 665672@bugs.debian.org, 665675@bugs.debian.org, 665676@bugs.debian.org, 665678@bugs.debian.org, 665673@bugs.debian.org, control@bugs.debian.org
Subject: glib 2.32 uploaded to unstable
Date: Fri, 30 Mar 2012 10:15:37 +0200
[Message part 1 (text/plain, inline)]
severity 665677 serious
severity 665679 serious
severity 665666 serious
severity 665670 serious
severity 665671 serious
severity 665672 serious
severity 665675 serious
severity 665676 serious
severity 665678 serious
severity 665673 serious
thanks

glib 2.32.0 has been uploaded to unstable.
Bumping the severity accordingly.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Severity set to 'serious' from 'important' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Fri, 30 Mar 2012 08:18:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#665670; Package src:gxneur. (Sat, 12 May 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Green <peter.green@postgrad.manchester.ac.uk>:
Extra info received and forwarded to list. Copy sent to Alexander GQ Gerasiov <gq@debian.org>. (Sat, 12 May 2012 15:21:06 GMT) Full text and rfc822 format available.

Message #17 received at 665670@bugs.debian.org (full text, mbox):

From: Peter Green <peter.green@postgrad.manchester.ac.uk>
To: "665670@bugs.debian.org" <665670@bugs.debian.org>
Cc: "control@bugs.debian.org" <control@bugs.debian.org>
Subject: re: gxneur: FTBFS with glib 2.32 due to -Werror=deprecated-declarations
Date: Sat, 12 May 2012 15:19:36 +0000
[Message part 1 (text/plain, inline)]
Tags 665670 +patch
Thanks


The attatched patch removes -Werror from the cflags and hence makes the package build.
[Message part 2 (text/html, inline)]
[03_disable_werror (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Peter Green <peter.green@postgrad.manchester.ac.uk> to control@bugs.debian.org. (Sat, 12 May 2012 15:21:33 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Thu, 05 Jul 2012 20:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#665670; Package src:gxneur. (Thu, 05 Jul 2012 20:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Alexander GQ Gerasiov <gq@debian.org>. (Thu, 05 Jul 2012 20:30:03 GMT) Full text and rfc822 format available.

Message #26 received at 665670@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 665670@bugs.debian.org
Subject: gxneur: diff for NMU version 0.15.0-2.1
Date: Thu, 5 Jul 2012 22:20:32 +0200
[Message part 1 (text/plain, inline)]
tags 665670 + pending
thanks

Dear maintainer,

I've prepared an NMU for gxneur (versioned as 0.15.0-2.1) and
will have it uploaded soon.

Cheers

Luk
[gxneur-0.15.0-2.1-nmu.diff (text/x-diff, attachment)]

Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. (Fri, 06 Jul 2012 03:21:06 GMT) Full text and rfc822 format available.

Notification sent to biebl@debian.org:
Bug acknowledged by developer. (Fri, 06 Jul 2012 03:21:06 GMT) Full text and rfc822 format available.

Message #31 received at 665670-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 665670-close@bugs.debian.org
Subject: Bug#665670: fixed in gxneur 0.15.0-2.1
Date: Fri, 06 Jul 2012 03:17:42 +0000
Source: gxneur
Source-Version: 0.15.0-2.1

We believe that the bug you reported is fixed in the latest version of
gxneur, which is due to be installed in the Debian FTP archive:

gxneur_0.15.0-2.1.debian.tar.gz
  to main/g/gxneur/gxneur_0.15.0-2.1.debian.tar.gz
gxneur_0.15.0-2.1.dsc
  to main/g/gxneur/gxneur_0.15.0-2.1.dsc
gxneur_0.15.0-2.1_i386.deb
  to main/g/gxneur/gxneur_0.15.0-2.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665670@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated gxneur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Jul 2012 20:04:58 +0000
Source: gxneur
Binary: gxneur
Architecture: source i386
Version: 0.15.0-2.1
Distribution: unstable
Urgency: low
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 gxneur     - GTK+ frontend for xneur keyboard layout switcher
Closes: 665670
Changes: 
 gxneur (0.15.0-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove -Werror so it does not complain about deprecated declarations
     (Closes: #665670).
Checksums-Sha1: 
 77249bb569e4f1534567c0d9d8ac7b55be7984cd 1265 gxneur_0.15.0-2.1.dsc
 bc72f483b8a95b4d797fe390fc7b7dad07b105f9 7574 gxneur_0.15.0-2.1.debian.tar.gz
 95b38ae49f7ff4d691b544bf92bfea76be2f6380 380178 gxneur_0.15.0-2.1_i386.deb
Checksums-Sha256: 
 5f8a41c74f6851a78b4bcbbfd10354f505856f09d1dbce2721f82f1a9e059e5d 1265 gxneur_0.15.0-2.1.dsc
 369f88a48c5f0dbb0fbc0d194c2eeb6f8d6e3b05558000697c5579cdab252c45 7574 gxneur_0.15.0-2.1.debian.tar.gz
 ca04a6d87457712144c1458c9f29b382dd91700da905c70ea1c0c1d9b47df847 380178 gxneur_0.15.0-2.1_i386.deb
Files: 
 69bbfbedcd1f1914c4daad6b7a5e82a1 1265 x11 optional gxneur_0.15.0-2.1.dsc
 0080a36e192ec857d42f034f7aad069e 7574 x11 optional gxneur_0.15.0-2.1.debian.tar.gz
 5df053d15fa29ec2585fa4621be3bf85 380178 x11 optional gxneur_0.15.0-2.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk/2UUIACgkQ+C5cwEsrK56LwwCgs074u6vytfTS+Qk7fVRx0C0O
3uEAnRQEAs2H4PauS+23svhq8Q0oZaQy
=3F9f
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 03 Aug 2012 07:35:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:48:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.